"use strict";
function shallowEquals(a, b) {
    if (Object.is(a, b)) {
        return true;
    }
    if (typeof a !== "object" || a === null || typeof b !== "object" || b === null) {
        return false;
    }
    var keysA = Object.keys(a);
    var keysB = Object.keys(b);
    if (keysA.length !== keysB.length) {
        return false;
    }
    for (var _i = 0, keysA_1 = keysA; _i < keysA_1.length; _i++) {
        var key = keysA_1[_i];
        if (!b.hasOwnProperty(key) || !Object.is(a[key], b[key])) {
            return false;
        }
    }
    return true;
}
exports.shallowEquals = shallowEquals;
